# Gimp.Brush.set_hardness

    @accepts(Gimp.Brush, float, float)
    @returns(bool)
    def set_hardness(self, hardness_in, hardness_out):
        # Python wrapper for gimp_brush_set_hardness()

Sets the hardness of a generated brush.

Sets the hardness for a generated brush. Clamps hardness to [0.0, 1.0]. Returns the clamped value. Returns an error when brush is non-parametric or not editable.

Since 2.4

self

  The brush.

hardness_in

  The desired brush hardness.

hardness_out

  The brush hardness actually assigned.

Returns